#!/bin/sh

# simple script to grab to xmltv file and merge to one
# (maybe scp to freevo/mythtv box if grabed remotely?)
#
# Rohan M. <rohbags@purplesock.net.au>


############################################################
#            edit below to change settings                 #
############################################################

# point to your tv_grab_au executable
TMP_XMLTV_GRABBER_BIN="/home/rohbags/tv_grab_au/0.6.2/tv_grab_au"

# point to your tv_cat executable
TMP_XMLTV_TV_CAT_BIN="/usr/bin/tv_cat"

# somewhere to store the 2 temp files
TMP_XMLTV_FILE_TEMP_1="/home/rohbags/tmp/xmltv-temp-1.xml"
TMP_XMLTV_FILE_TEMP_2="/home/rohbags/tmp/xmltv-temp-2.xml"

# the 2 config files
TMP_XMLTV_FILE_CONF_1="/home/rohbags/.xmltv/tv_grab_au.conf.freeonly"
TMP_XMLTV_FILE_CONF_2="/home/rohbags/.xmltv/tv_grab_au.conf.fox8only"

# the final merged xmltv file
TMP_XMLTV_FILE_OUTPUT="/home/rohbags/tmp/xmltv-merged.xml"

# how many days of data?
TMP_XMLTV_DAYS=7


############################################################
#  only change the following if you know what your doing!  #
############################################################

echo "Starting rohbags' grabber wrapper...."

echo "1st grabber run....."

# example command:
# tv_grab_au --days 1 --dual-names --output test-fox8-1.xml --config-file /home/rohbags/.xmltv/tv_grab_au.conf.fox8only


# run 1st grab (free-to-air)
$TMP_XMLTV_GRABBER_BIN --days $TMP_XMLTV_DAYS \
--dual-names \
--output $TMP_XMLTV_FILE_TEMP_1 \
--config-file $TMP_XMLTV_FILE_CONF_1

echo "Done(1)"
echo "2nd grabber run....."

# run 2nd grab (foxtel)
$TMP_XMLTV_GRABBER_BIN --days $TMP_XMLTV_DAYS \
--dual-names \
--output $TMP_XMLTV_FILE_TEMP_2 \
--config-file $TMP_XMLTV_FILE_CONF_2

echo "Done(2)"
echo "merging files....."

# merge files
$TMP_XMLTV_TV_CAT_BIN --output $TMP_XMLTV_FILE_OUTPUT \
$TMP_XMLTV_FILE_TEMP_1 \
$TMP_XMLTV_FILE_TEMP_2
echo "Done(Merged)"

#echo "...all done."


############################################################
#  change the following to scp data somewhere              #
############################################################


# scp final file somewhere
# uncomment and edit at will

#echo "Sending data to Remote Computer(s)..."

# examples:
## scp $TMP_XMLTV_FILE_OUTPUT username@ipadress/hostname
## scp $TMP_XMLTV_FILE_OUTPUT rohbags@10.0.0.250: # dvr
## scp $TMP_XMLTV_FILE_OUTPUT rohbags@10.0.0.230: # dvr2

#scp $TMP_XMLTV_FILE_OUTPUT rohbags@dvr:
#scp $TMP_XMLTV_FILE_OUTPUT rohbags@dvr2:

#echo "Done (Data transfered to remote computer(s))"



# game over :)
